数据提供商: Hunter
根据某人的姓名及其所属域名的信息来查找该人的工作邮箱地址(Hunter)
$0.0245 / 次调用在 35 秒内响应
根据Hunter在该域名下的地址使用模式,以及这些地址出现的网页信息,推断出该公司域名下名为某人的个人最有可能使用的工作电子邮件地址。返回一个地址,其中包含该地址的置信度评分以及验证状态信息。即使 Hunter 从未收录该人,也会返回基于模式推测的结果并计费;使用结果前请检查评分。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Hunter endpoint /v2/email-finder on Glasser.bash
glasser run -p hunter -e '/v2/email-finder' -i '{"domain":"stripe.com","last_name":"Collison","first_name":"Patrick"}' --endpoint-version 5使用接口版本 5。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"hunter","endpoint":"/v2/email-finder","input":{"domain":"stripe.com","last_name":"Collison","first_name":"Patrick"},"endpoint_version":5}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 5,运行前请确认当前价格。
第 2 步尝试一个具体任务
准备联系潜在客户时,可以查询联系邮箱,补全其联系记录。
复制此提示词到你的 Agent,查询潜在客户的联系邮箱。
提示词
Use hunter:/v2/email-finder on Glasser.
Find the contact email for my prospect so I can prepare an outreach record.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"domain"
],
"properties": {
"domain": {
"type": "string",
"maxLength": 255,
"minLength": 3,
"description": "The company's own domain, e.g. \"stripe.com\"."
},
"full_name": {
"type": "string",
"maxLength": 100,
"minLength": 3,
"description": "First and last name in one string, e.g. \"Patrick Collison\". A single word is rejected by Hunter; text in parentheses or brackets is ignored by Hunter."
},
"last_name": {
"type": "string",
"maxLength": 100,
"minLength": 1,
"description": "The person's spelled-out last name, e.g. \"Collison\". Initials only (such as \"P G\") are rejected by Hunter, and text in parentheses or brackets (such as \"(Indi)\") is ignored by Hunter."
},
"first_name": {
"type": "string",
"maxLength": 100,
"minLength": 1,
"description": "The person's first name, as plain text: Hunter ignores anything in parentheses or brackets. Give it together with last_name, or use full_name."
},
"max_duration": {
"type": "integer",
"maximum": 20,
"minimum": 3
}
},
"additionalProperties": false
}json
{
"domain": "stripe.com",
"last_name": "Collison",
"first_name": "Patrick"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据 | 仅在返回数据时收费。 | $0.0245 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |